#!/bin/bash
# 日语原文件名列表
ls uta | grep -E ".wav$" | iconv -f utf-8 -t cp936 | iconv -f cp932 -t utf-8 > jpname
# 乱码文件名列表
ls uta | grep -E ".wav$" > errname
# 将错误文件名更正
paste errname jpname | awk '{print "mv uta/"$1" uta/"$2}' | bash
# 删除不用的文件
rm errname jpname
# 生成片假名和罗马音的对应表
# awk -F "[\"_]" '{print $2,$5}' rename.bat > table
# 将片假名文件名更改为罗马音文件名
awk '{print "mv uta/"$1".wav uta/"$2".wav"}' table | bash
awk '{print "mv uta/"$1"_wav.frq uta/"$2"_wav.frq"}' table | bash
# 将oto.ini以utf-8的格式复制成oto
iconv -f cp932 -t utf-8 uta/oto.ini > oto
# 准备更改oto文件的sed脚本
awk '{print "s/"$1"[,.]/"$2",/g"}' table > choto.sed
# 更改oto并送回去
sed -f choto.sed oto | sed 's/,/./' > uta/oto.ini
# 删除没用的文件
rm oto choto.sed
